% function kregN.m - 12.18.01

% this function performs Gaussian kernel regression of 
% "y" on "x", at points "x0" with bandwidth "h"


function [kreg]=kreg(y,x,x0,h);



[T]=length(y);
[N]=length(x0);

		

kreg0=ones(N,1);


for jj=1:N,

	%evaluate the kernel %

	ink=(x0(jj)-x)/h;
	k=exp(-.5*ink.^2);

	kreg0(jj)=sum(k.*y)/sum(k);

end

kreg=kreg0;


