% mk_chi8090_mat.m

% creates a matlab data file (.mat) combining ASCII data file chi8090.dat
% with ASCII file containing the variable names (varnames.dat)

% Input: chi8090.dat, varnames.dat
% Output: chi8090.mat

% Open data file

  fid1=fopen('chi8090.dat');

  % Creating data matrix
    data  =(fscanf(fid1,'%g',[103 inf]))';
    [n,m]=size(data);
    fid2=fopen('varnames.dat');

  % Loading variables
  j=1;
  while feof(fid2)==0
    line=fgetl(fid2);
    eval([line,'=data(:,j);']);
    j=j+1;
  end
  fclose(fid1);
  fclose(fid2);

  clear data;

  clear ans fid1 fid2 line j m n

% Save results

save chi8090



