% figur8.m  --  12.18.01

% this file generates Fig. 8 in the paper


% ACF decomposition - race

load a1decpr9

dist0= (.5:.5:16)';
set(gca,'Fontsize',8)
subplot(2,2,1)
plot(dist0,acfraw,'-');
axis([0 16 -.2 .6])
hold on
plot(dist0,acfres,'--');
plot(dist0,acfminr,'-.');
plot(dist0,acfonlyr,':');
xlabel('Physical Distance (Km)')
ylabel('ACF')
stringa1= 'FIGURE 8: ACF Decomposition for Unemployment Rate, 1990 - Racial/Ethnic Composition';
stringa2= '                                                                                   ';
stringa3= '                                                                                   ';
stringa= [stringa1; stringa2; stringa3];
title(stringa)
legend('Raw Unemployment','Residuals','Resid: Omit Race','Resid: Only Race')
hold off

load a1dectr9

dist0= (5:5:90)';
subplot(2,2,2)
plot(dist0,acfraw,'-');
axis([0 90 -.2 .6])
hold on
plot(dist0,acfres,'--');
plot(dist0,acfminr,'-.');
plot(dist0,acfonlyr,':');
xlabel('Travel Time Distance, 1990')
ylabel('ACF')
legend('Raw Unemployment','Residuals','Resid: Omit Race','Resid: Only Race')
hold off

load a1decer9

dist0= (10:10:140)';
subplot(2,2,3)
plot(dist0,acfraw,'-');
axis([0 140 -.6 .6])
hold on
plot(dist0,acfres,'--');
plot(dist0,acfminr,'-.');
plot(dist0,acfonlyr,':');
xlabel('Ethnic Distance, 1990')
ylabel('ACF')
legend('Raw Unemployment','Residuals','Resid: Omit Race','Resid: Only Race')
hold off

load a1decor9

dist0= (2:2:40)';
subplot(2,2,4)
plot(dist0,acfraw,'-');
axis([0 40 -.2 .6])
hold on
plot(dist0,acfres,'--');
plot(dist0,acfminr,'-.');
plot(dist0,acfonlyr,':');
xlabel('Occupation Distance, 1990')
ylabel('ACF')
legend('Raw Unemployment','Residuals','Resid: Omit Race','Resid: Only Race')
hold off

